Loading...
Searching...
No Matches
pappso::specglob::SpectralAlignmentDataPoint Struct Reference

`#include <spectralalignment.h>`

## Public Attributes

double | mass_difference
int | score
std::size_t | origin_column_indices
SpectralAlignmentType | alignment_type

## Detailed Description

Definition at line 53 of file spectralalignment.h.

## Member Data Documentation

## alignment_type

SpectralAlignmentType pappso::specglob::SpectralAlignmentDataPoint::alignment_type

Definition at line 58 of file spectralalignment.h.

Referenced by pappso::specglob::SpectralAlignment::fillMatricesWithScores(), and pappso::specglob::SpectralAlignment::getBestRealignScore().

## mass_difference

double pappso::specglob::SpectralAlignmentDataPoint::mass_difference

Definition at line 55 of file spectralalignment.h.

## origin_column_indices

std::size_t pappso::specglob::SpectralAlignmentDataPoint::origin_column_indices

Definition at line 57 of file spectralalignment.h.

Referenced by pappso::specglob::SpectralAlignment::fillMatricesWithScores(), and pappso::specglob::SpectralAlignment::getBestRealignScore().

## score

int pappso::specglob::SpectralAlignmentDataPoint::score

Definition at line 56 of file spectralalignment.h.

Referenced by pappso::specglob::SpectralAlignment::fillMatricesWithScores(), and pappso::specglob::SpectralAlignment::getBestRealignScore().

The documentation for this struct was generated from the following file:

- pappsomspp/processing/specglob/spectralalignment.h